%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           openstack-tripleo-heat-templates
Summary:        Heat templates for TripleO
Version:        6.2.1
Release:        2%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://wiki.openstack.org/wiki/TripleO
Source0:        https://tarballs.openstack.org/tripleo-heat-templates/tripleo-heat-templates-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=6.2.1
#
Patch0001: 0001-OSP-Only-Add-the-puppet-pacemaker-templates-to-the-d.patch
Patch0002: 0002-Remove-the-default-ControllerConfig.patch
Patch0003: 0003-downstream-only-Keep-existing-Compute-role-hostname-.patch
Patch0004: 0004-OSP-only-Also-set-PacemakerRemote-to-the-proper-serv.patch
Patch0005: 0005-downstream-only-configure-Horizon-to-point-on-OSP-do.patch
Patch0006: 0006-N-O-Add-openstack-nova-migration-to-compute-nodes.patch
Patch0007: 0007-Downstream-only-Merge-puppet-and-config-resources.patch
Patch0008: 0008-Maintain-ceph-osd-package-only-on-nodes-hosting-Ceph.patch
Patch0009: 0009-Make-cinder-manage-db-sync-run-on-only-one-controlle.patch
Patch0010: 0010-manila-set-neutron_admin_auth_url-correctly.patch
Patch0011: 0011-Workaround-for-RHEL-registration-as-localhost.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-d2to1
BuildRequires:  python-pbr

Requires:       PyYAML
Requires:       python-jinja2
Requires:       python-six

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -ar *.yaml %{buildroot}/%{_datadir}/%{name}
cp -ar puppet %{buildroot}/%{_datadir}/%{name}
cp -ar docker %{buildroot}/%{_datadir}/%{name}
cp -ar firstboot %{buildroot}/%{_datadir}/%{name}
cp -ar extraconfig %{buildroot}/%{_datadir}/%{name}
cp -ar environments %{buildroot}/%{_datadir}/%{name}
cp -ar network %{buildroot}/%{_datadir}/%{name}
cp -ar validation-scripts %{buildroot}/%{_datadir}/%{name}
cp -ar deployed-server %{buildroot}/%{_datadir}/%{name}
cp -ar ci %{buildroot}/%{_datadir}/%{name}
cp -ar scripts %{buildroot}/%{_datadir}/%{name}
cp -ar tools %{buildroot}/%{_datadir}/%{name}
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{python2_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{python2_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

%files
%doc README*
%license LICENSE
%{python2_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/%{name}

%changelog
* Tue Sep 26 2017 Alex Schultz <aschultz@redhat.com> 6.2.1-2
- Workaround for RHEL registration as "localhost" (rhbz#1488243)

* Fri Sep 22 2017 Steve Linabery <slinaber@redhat.com> 6.2.1-1
- Update to 6.2.1
- manila: set "neutron_admin_auth_url" correctly

* Fri Sep  8 2017 Alan Bishop <abishop@redhat.com> 6.2.0-4
- Maintain ceph-osd package only on nodes hosting CephOSD service (rhbz#1489490)
- [Downstream only] - Merge puppet and config resources (rhbz#1450403)

* Wed Aug 30 2017 Jason Joyce <jjoyce@redhat.com> 6.2.0-3
- Use number for KeystoneCronTokenFlushMaxDelay instead of string (rhbz#1476762)

* Tue Aug 15 2017 Steve Linabery <slinaber@redhat.com> 6.2.0-2
- Modifying Cisco templates to support composable roles
- Revert "Use optimal (instead of default) tunables for Ceph on upgrade"
- Use optimal (instead of default) tunables for Ceph on upgrade
- Disable network validation in multinode jobs
- Use conditionals for neutron and glance worker defaults

* Tue Aug 15 2017 Steve Linabery <slinaber@redhat.com> 6.2.0-1
- Update to 6.2.0

* Wed Jul 19 2017 Jason Joyce <jjoyce@redhat.com> 6.1.0-2
- Fix conntrack proto sctp module (rhbz#1471931)

* Tue Jun 27 2017 Mike Burns <mburns@redhat.com> 6.1.0-1
- Update to 6.1.0

* Fri Jun 16 2017 Alex Schultz <aschultz@redhat.com> 6.0.0-14
- Add fqdn_external (rhbz#1460460)

* Fri Jun 02 2017 Ihar Hrachyshka <ihrachys@redhat.com> 6.0.0-13
- Enable arp_accept for all interfaces (rhbz#1457504)

* Tue May 23 2017 Steve Linabery <slinaber@redhat.com> 6.0.0-12
- Fix SshHostPubKeyDeployment on containerized nova-compute.

* Mon May 22 2017 Mike Burns <mburns@redhat.com> 6.0.0-11
- upgrades: deploy mod_ssl when upgrading apache (rhbz#1445886)
- Cinder-api upgrade: use httpd instead of apachectl (rhbz#1445886)

* Fri Apr 28 2017 Mike Burns <mburns@redhat.com> 6.0.0-10
- [N->O] Add openstack-nova-migration to compute nodes. (rhbz#1446738)

* Thu Apr 27 2017 Steve Linabery <slinaber@redhat.com> 6.0.0-9
- Change the default for rabbitmq back to ha-mode: all (rhbz#1441635)
- Add support for live migration over ssh (rhbz#1428593)
- Deploy ceilometer_auth_enabled to node containing keystone (rhbz#1444979)

* Tue Apr 25 2017 Mike Burns <mburns@redhat.com> 6.0.0-8
- sensu: fix upgrade case when service is added (rhbz#1444633)

* Mon Apr 24 2017 Mike Burns <mburns@redhat.com> 6.0.0-7
- N->O upgrade, fix wrong parameters to nova placement. (rhbz#1440680)
- Touch /etc/httpd/conf.d/ssl.conf (rhbz#1441977)
- Fix bogus parameters in get_param (rhbz#1443006)
- Update Dell EMC Cinder back end services (rhbz#1440942)
- Add composable role support for NetApp Cinder back end (rhbz#1439895)
- Update ceph-rgw acccepted roles to fix OSP upgrade (rhbz#1431593)

* Thu Apr 20 2017 Steve Linabery <slinaber@redhat.com> 6.0.0-6
- N->O Manual puppet commands have the right modulepath. (rhbz#1443663)
- [downstream-only] configure Horizon to point on OSP doc (rhbz#1442107)

* Thu Apr 13 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-5
- yum_update.sh - Use the yum parameter: check-update (rhbz#1440213)
- Add trigger to setup a LDAP backend as keystone domaine (rhbz#1259035)
- Use --disable= in subscription-manager to avoid shell expansion.

* Mon Apr 10 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-4
- Add manual ovs upgrade script for workaround ovs upgrade issue (rhbz#1431108)
- Enforce upgrade_batch_tasks before upgrade_tasks order (rhbz#1437970)
- Ensure upgrade step orchestration accross roles. (rhbz#1427569)
- Add environment for deployed-server with pacemaker (rhbz#1439347)
- Generate Pre/Post Puppet Tasks for all roles (rhbz#1439347)
- Purge initial firewall for deployed-server's (rhbz#1438534)
- FQDN validation (rhbz#1391758)
- Fixes port binding controller for OpenDaylight (rhbz#1434828)
- Setting keystone region for tacker
- Include panko in the default dispatcher (rhbz#1436599)
- Add special case upgrade from openvswitch 2.5.0-14 (rhbz#1431108)
- Don't check haproxy if external load-balancer is used. (rhbz#1437222)
- Re-Add bigswitch agent support (rhbz#1438890)
- Setting keystone region for congress
- Make neutron dhcp agents per network conditional (rhbz#1440918)
- Add OpenDaylightConnectionProtocol parameter to opendaylight-api service
- Set auth flag so ceilometer auth is enabled (rhbz#1437207)

* Tue Apr 04 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-3
- [N->O] Fix wrong database connection for cell0 during upgrade (rhbz#1434955)
- Fixes multiple issues with retry function in rhel-registration

* Mon Apr 03 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-2
- Stop openstack-nova-compute during nova-ironic upgrade (rhbz#1432879)
- Run cluster check on nodes configured in wsrep_cluster_address. (rhbz#1435271)
- Remove 'Controller' role references from overcloud.j2.yaml
- Only set EnableConfigPurge on major upgrades (rhbz#1436794)
- [N->O] is creating 2 default cell_v2 cells (rhbz#1434955)
- Nic config mappings for deployed-server (rhbz#1435203)
- Sort ResourceGroup resource list (rhbz#1435202)
- N->O upgrade, blanks ipv6 rules before activating it (rhbz#1430384)
- N->O Upgrade, make sure all nova placement parameter properly set (rhbz#1435609)
- Fix usage of CinderNfsServers (rhbz#1416356)
- Install openstack-selinux for deployed-server
- Fixes missing firewall rules for neutron_ovs_dpdk_agent service
- Enables increasing mariadb open files for noha deployments
- Don't try to run os-net-config from yum_update.sh (rhbz#1425520)

* Thu Mar 30 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-0.9
- Fixes OpenDaylightProviderMappings hiera parsing (rhbz#1435320)
- etcd: secure EtcdInitialClusterToken parameter
- Deploy versionless keystone endpoints (for keystone only) (rhbz#1433492)
- Explicitly configure credentials used by ironic to access other services (rhbz#1432560)
- Pick dynamically the first node for stack validation

* Thu Mar 30 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-0.8
- Add bindep support
- Cleanup no longer used upgrade files
- Disable exit on error for pacemaker commands for update flow

* Thu Mar 30 2017 Saravanan KR <skramaja@redhat.com> 6.0.0-0.7
- Modify pci_passthrough hiera value as string (rhbz#1434688)

* Tue Mar 28 2017 Sven Anderson <sven@redhat.com> 6.0.0-0.6
- Add missing ec2api::api::keystone_ec2_tokens_url config (rhbz#1341170)

* Wed Mar 22 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-0.5
- Make sure PrePuppet runs before any Deployment_Step
- Upgrades: wait for galera to be settled (rhbz#1434748)
- [OSP only] Also set PacemakerRemote to the proper service by default (rhbz#1434692)

* Wed Mar 22 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-0.4
- bump to released version + patches

* Sun Mar 19 2017 Steve Linabery <slinaber@redhat.com> 6.0.0-0.3.0rc2
- Adds upgrade tasks for OpenDaylight services
- Remove ha-by-default release note in Ocata
- Remove the openvswitch special case upgrade code
- [downstream only] Keep existing Compute role hostname in OSP11
- Remove the default ControllerConfig
- [OSP Only] Add the puppet-pacemaker templates to the default OC deployment in THT (rhbz#1406869)
- Use the new hiera hook in all remaining templates

* Mon Mar 06 2017 Alfredo Moralejo <amoralej@redhat.com> 6.0.0-0.2.0rc2
- Update to 6.0.0.0rc2

* Fri Feb 17 2017 Alfredo Moralejo <amoralej@redhat.com> 6.0.0-0.1.0rc1
- Update to 6.0.0.0rc1

